﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;

namespace PartialView.Models
{
    public class StudentPV
    {
        public string name { get; set; }
        public int age { get; set; }
        public AddressPV address { get; set; }
        public MarksPV[] marks { get; set; }
        public StudentPV(string nameVal, int ageVal, AddressPV addressVal, MarksPV[] marksArray)
        {
            name = nameVal;
            age = ageVal;
            address = addressVal;
            marks = marksArray;
        }
    }
    public class AddressPV
    {
        public int houseNo { get; set; }

        public string street { get; set; }
        public AddressPV(int houseNoVal, string streetVal)
        {
            houseNo = houseNoVal;
            street = streetVal;
        }
    }
    public class MarksPV
    {
        public string subject { get; set; }
        public int marks { get; set; }
        public MarksPV(string subjectVal, int marksVal)
        {
            subject = subjectVal;
            marks = marksVal;
        }
    }
}